#
# spec file for package xcolors
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _xorg7libs %{_lib}
%define _xorg7libs32 lib
%define _xorg7bin bin
%define _xorg7_mandir %{_mandir}
%define _xorg7pixmaps include
%define _xorg7libshare share
Name:           xcolors
Version:        91.10.4
Release:        1245.3
Summary:        Displays colors defined in rgb.txt
License:        SUSE-Public-Domain
Group:          System/X11/Utilities
Source:         xcolors-04oct91.tar.bz2
Patch0:         xcolors-04oct91.patch
Patch1:         xcolors-04oct91-xorg7_rgbtxt.patch
BuildRequires:  imake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xt)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xcolorsel displays colors defined in rgb.txt. You can create an RGB
file by redirecting the output of showrgb to a file.

%prep
%setup -q -n xcolors-04oct91
%patch0
%if "%(pkg-config --variable=prefix xft)" == "/usr"
%patch1
%endif

%build
xmkmf -a
make %{?_smp_mflags} CCOPTIONS="%{optflags}"

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
make DESTDIR=%{buildroot} install.man

%files
%defattr(-,root,root)
%{_prefix}/%{_xorg7bin}/xcolors
%dir %{_prefix}/%{_xorg7libshare}/X11/app-defaults
%config %{_prefix}/%{_xorg7libshare}/X11/app-defaults/Xcolors
%doc %{_xorg7_mandir}/man1/xcolors.1x.gz

%changelog
* Sun Nov  2 2014 crrodriguez@opensuse.org
- Switch to individual pkgconfig() build requires
  instead of using metapackage xorg-x11-devel
* Wed Nov 24 2010 ro@suse.de
- xft-config is gone
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Tue Aug 15 2006 lmichnovic@suse.cz
- changed path of file rgb.txt in X.org 7.x (xorg7_rgbtxt.patch)
* Tue Aug  8 2006 lmichnovic@suse.cz
- compiling with RPM_OPT_FLAGS
* Fri Jul 28 2006 lmichnovic@suse.cz
- builds also with new X.org 7.x, detecting prefix in X.org
- building with icecream
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Apr 22 2005 coolo@suse.de
- fix build
* Tue Jun  1 2004 hmacht@suse.de
- added # norootforbuild in specfile
* Wed May 19 2004 ro@suse.de
- added return value to non-void functions
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Thu Aug  9 2001 dan@suse.cz
- use bzip instead of gzip
* Thu May 11 2000 nadvornik@suse.cz
- added BuildRoot
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Nov 24 1997 ro@suse.de
- ignore all lines starting with ! or # in rgb.txt
* Sun Jun  1 1997 bs@suse.de
- moved var/X11R6/lib/app-defaults to usr/X11R6/lib/X11/app-defaults
